Last Comment Bug 866248 - backport new date custom field type from bug 801664 to bmo/4.2
: backport new date custom field type from bug 801664 to bmo/4.2
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: General (show other bugs)
: Production
: x86_64 Linux
: -- normal (vote)
: ---
Assigned To: David Lawrence [:dkl]
:
:
Mentors:
Depends on:
Blocks: 868167
  Show dependency treegraph
 
Reported: 2013-04-26 12:53 PDT by David Lawrence [:dkl]
Modified: 2013-05-06 15:09 PDT (History)
6 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch to add date only custom field type (v1) (10.49 KB, patch)
2013-05-02 10:58 PDT, David Lawrence [:dkl]
glob: review+
Details | Diff | Splinter Review
0's attached to date (16.17 KB, image/png)
2013-05-06 15:08 PDT, Tara (musingt)
no flags Details

Description David Lawrence [:dkl] 2013-04-26 12:53:08 PDT
backport new date custom field type from bug 801664 to bmo/4.2 to give a choice to create fields without a time portion.
Comment 1 Tara (musingt) 2013-04-26 13:29:37 PDT
Thanks.  It would be great if we could change the field type.  I was very excited to have a "due date" field but the current field type adds a lot of extra noise to my dashboard and it's information I do not need, personally. I'm not aware of anyone who relies on the time-stamp either.  Most projects seem to be guided by a Date vs. specific Time and if the time is relevant then I think it's worth adding that in a different field vs. appending it to the Date field. Technically Date and Time (hour, minute, second) are different data.  Right now everything shows up with a 00:00:00 appended to it and it's not helpful :(
Comment 2 David Lawrence [:dkl] 2013-05-02 10:58:11 PDT
Created attachment 744715 [details] [diff] [review]
Patch to add date only custom field type (v1)

Please verify proper creation/removal of the custom field in you tests. I had timeout issues a few times when doing so on my local system.

Thanks
Comment 3 Byron Jones ‹:glob› [PTO until 2016-10-10] 2013-05-03 01:04:04 PDT
Comment on attachment 744715 [details] [diff] [review]
Patch to add date only custom field type (v1)

Review of attachment 744715 [details] [diff] [review]:
-----------------------------------------------------------------

r=glob

i had no issues during my testing.

please update contrib/addcustomfield.pl before committing.
Comment 4 David Lawrence [:dkl] 2013-05-03 07:16:23 PDT
Thanks

Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.2           
modified importxml.pl
modified Bugzilla/Bug.pm                                                                
modified Bugzilla/Constants.pm
modified Bugzilla/Field.pm
modified Bugzilla/Migrate.pm
modified Bugzilla/Search.pm
modified Bugzilla/DB/Schema/Mysql.pm
modified Bugzilla/DB/Schema/Oracle.pm                                              
modified Bugzilla/DB/Schema/Pg.pm
modified Bugzilla/DB/Schema/Sqlite.pm
modified Bugzilla/WebService/Bug.pm
modified contrib/addcustomfield.pl
modified template/en/default/bug/field.html.tmpl
modified template/en/default/global/field-descs.none.tmpl
modified template/en/default/search/field.html.tmpl
Committed revision 8770. 

dkl
Comment 5 Tara (musingt) 2013-05-06 15:07:35 PDT
this is awesome. thanks all. quick question... when will I see the change when viewing bug lists? I'm still seeing the 0's (screenshot attached)
Comment 6 Tara (musingt) 2013-05-06 15:08:00 PDT
Created attachment 746091 [details]
0's attached to date
Comment 7 David Lawrence [:dkl] 2013-05-06 15:09:01 PDT
this should be fixed soon. Checkin of the script was the first part. I am working with IT now to get it executed on the production db to convert the dates. Then you will not see the 0's.

dkl

Note You need to log in before you can comment on or make changes to this bug.